# Uses of Interface
org.kapott.hbci.callback.HBCICallback

Packages that use HBCICallback
Package
Description
org.kapott.hbci.callback
HBCI4Java kommuniziert mit der Anwendung bzw.
org.kapott.hbci.concurrent
org.kapott.hbci.manager
Package, welches diverse Klassen für den Zugriff auf die Funktionen von HBCI4Java enthält.

## Uses of HBCICallback in org.kapott.hbci.callback

Classes in org.kapott.hbci.callback that implement HBCICallback
Modifier and Type
Class
Description
`class`
`AbstractHBCICallback`
Diese Klasse dient als Basisklasse für allen Callback-Klassen.
`class`
`HBCICallbackConsole`
Default-Implementation einer Callback-Klasse für textbasierte Anwendungen.
`class`
`HBCICallbackIOStreams`
Callback-Klasse für Ein-/Ausgabe über IO-Streams.
`final class`
`HBCICallbackNative`
Callback-Klasse für native-Applikationen, die HBCI4Java durch Aufrufe des JNI benutzen.
`class`
`HBCICallbackSwing`
Default-Implementation einer Callback-Klasse für Anwendungen mit GUI.
`class`
`HBCICallbackSwingInternal`
Callback für Anwendungen mit GUI; arbeitet mit `JInternalFrame`s anstatt mit Top-Level-Windows.
`final class`
`HBCICallbackThreaded`
Wrapper-Klasse, die bei Verwendung des threaded-callback-Mechanismus benötigt wird.
`class`
`HBCICallbackUnsupported`
Implementierung, die für alle Aufrufe eine `UnsupportedOperationException` wirft.
Constructors in org.kapott.hbci.callback with parameters of type HBCICallback
Modifier
Constructor
Description
``
`HBCICallbackThreaded(HBCICallback realCallback)`
Erzeugt eine Instanz dieser Klasse.

## Uses of HBCICallback in org.kapott.hbci.concurrent

Constructors in org.kapott.hbci.concurrent with parameters of type HBCICallback
Modifier
Constructor
Description
``
`HBCIRunnable(Properties properties, HBCICallback callback, HBCIPassportFactory passportFactory)`

## Uses of HBCICallback in org.kapott.hbci.manager

Fields in org.kapott.hbci.manager with type parameters of type HBCICallback
Modifier and Type
Field
Description
`static Hashtable<ThreadGroup,HBCICallback>`
HBCIUtilsInternal.`callbacks`
Methods in org.kapott.hbci.manager that return HBCICallback
Modifier and Type
Method
Description
`static HBCICallback`
HBCIUtilsInternal.`getCallback()`
Methods in org.kapott.hbci.manager with parameters of type HBCICallback
Modifier and Type
Method
Description
`static void`
HBCIUtils.`init(ClassLoader cl, String configfile, HBCICallback callback)`
Deprecated.
`static void`
HBCIUtils.`init(Properties props, HBCICallback callback)`
Initialisieren der HBCI4Java-Umgebung.
`static void`
HBCIUtils.`initThread(ClassLoader cl, String configfile, HBCICallback callback)`
Deprecated.
use `HBCIUtils.initThread(Properties, HBCICallback)` instead
`static void`
HBCIUtils.`initThread(Properties props, HBCICallback callback)`
Initialisieren der HBCI4Java-Umgebung für eine neue `ThreadGroup`.